taskpolicy(8)

NAME
taskpolicy - execute a program with an altered I/O or scheduling policy

SYNOPSIS
taskpolicy [-d policy] [-b] program [ arg1 [...]]

DESCRIPTION
The taskpolicy program uses the setiopolicy_np(3) and setpriority(2) APIs to execute a program with altered I/O or scheduling policies. All children of the specified program also inherit these policies.

taskpolicy accepts the following flags and arguments:

-d policy
    Run the program after calling setiopolicy_np(3) with an iotype of IOPOL_TYPE_DISK, a scope of IOPOL_SCOPE_PROCESS, and the specified policy. The argument can either be an integer, or a symbolic string like "default" or "throttle", which is interpreted case-insensitively.

-g policy
    Run the program after calling setiopolicy_np(3) with an iotype of IOPOL_TYPE_DISK, a scope of IOPOL_SCOPE_DARWIN_BG, and the specified policy. The argument is interpreted in the same manor as -d.

-b  Run the program after calling setpriority(2) with a priority of PRIO_DARWIN_BG.

SEE ALSO
setpriority(2), setiopolicy_np(3)